//===- Transform/Utils/CommonUtils.h - Common transfromUtils Utils----------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//
//
// This family of functions are common utilities used during transformations.
//
//===----------------------------------------------------------------------===//

#ifndef LLVM_TRANSFORMS_UTILS_COMMONUTILS_H
#define LLVM_TRANSFORMS_UTILS_COMMONUTILS_H

#include "llvm/Analysis/TargetLibraryInfo.h"

namespace llvm {

bool PathExists(BasicBlock* BBStart, BasicBlock* BBDest);

} // end namespace llvm

#endif // LLVM_TRANSFORMS_UTILS_COMMONUTILS_H
